require('dotenv').config()
const gulp = require('gulp')
const del = require('del')
const watch = require('gulp-watch')

gulp.task('default', ['clear-lib-folder'], () =>
  gulp.src([
    './src/**/*.*',
    '!./src/__mocks__/**/*.*'
  ])
      .pipe(gulp.dest('./lib'))
)

gulp.task('clear-lib-folder', function (cb) {
  return del([`./lib`], cb)
})

gulp.task('release', ['default'], function () {
  return gulp.src('./lib/**/*')
  .pipe(gulp.dest(process.env.deployPath))
})

gulp.task('watch', function () {
  return watch('src/**/*.*', function () {
    gulp.start('release')
  })
})
