const BaseOpenAPIClient = require('../base-open-api-client')
const className = 'CloudAccess'

module.exports = class CloudAccess extends BaseOpenAPIClient {
  /**
   * Check key-pair access
   * @param {int} enCloudType - Type of the cloud infrastructure being accessed
   * @param {string} pKeyPair.CLIENT_ID - AWS - IAM user name. Azure - Subscription ID
   * @param {string} pKeyPair.CLIENT_SECRET - Secret key string encrypted with ProtectPassword
   * @returns {Promise<*>}
   */
  async AcquireAccessForKeyPair ({ enCloudType, pKeyPair }, connection) {
    const body = await this.baseRequest({
      command: `${className}.AcquireAccessForKeyPair`,
      data: {
        enCloudType,
        pKeyPair
      },
      connection
    })
    return this.getBody(body)
  }
}
