const BaseOpenAPIClient = require('../base-open-api-client')
const className = 'HostMoveRules'

module.exports = class HostMoveRules extends BaseOpenAPIClient {
  GetRules ({ pFields }, connection) {
    return this.baseRequest({
      command: `${className}.GetRules`,
      data: {
        pFields
      },
      connection
    })
      .then(this.deserialize)
  }

  AddRule ({ pRuleInfo }, connection) {
    return this.baseRequest({
      command: `${className}.AddRule`,
      data: {
        pRuleInfo: this.serialize(pRuleInfo)
      },
      connection
    })
    .then(this.getResult)
  }

  GetRule ({ nRule }, connection) {
    return this.baseRequest({
      command: `${className}.GetRule`,
      data: {
        nRule
      },
      connection
    })
    .then(this.deserialize)
  }

  DeleteRule ({ nRule }, connection) {
    return this.baseRequest({
      command: `${className}.DeleteRule`,
      data: {
        nRule
      },
      connection
    })
    .then(this.getResult)
  }

  SetRulesOrder ({ pRules = [] }, connection) {
    return this.baseRequest({
      command: `${className}.SetRulesOrder`,
      data: {
        pRules
      },
      connection
    })
    .then(this.getResult)
  }

  UpdateRule ({ nRule, pRuleInfo }, connection) {
    return this.baseRequest({
      command: `${className}.UpdateRule`,
      data: {
        nRule,
        pRuleInfo: this.serialize(pRuleInfo)
      },
      connection
    })
    .then(this.getResult)
  }

  ExecuteRulesNow ({ nGroupId, pRules, nOptions }, connection) {
    return this.baseRequest({
      command: `${className}.ExecuteRulesNow`,
      data: {
        nGroupId,
        pRules,
        nOptions
      },
      connection
    })
    .then(this.getBody)
  }
}
