const BaseOpenAPIClient = require('../base-open-api-client')
const className = 'ScanDiapasons'

module.exports = class ScanDiapasons extends BaseOpenAPIClient {
  GetDiapasons ({ vecFieldsToReturn = [
    'KLDPNS_ID',
    'KLDPNS_DN',
    'KLDPNS_LF',
    'KLDPNS_ScanEnabled',
    'KLDPNS_ILS'
  ], lMaxLifeTime = 7200 }, connection) {
    return this.baseRequest({
      command: `${className}.GetDiapasons`,
      data: { vecFieldsToReturn, lMaxLifeTime },
      connection
    })
               .then(body => this.deserialize(body, 'PxgRetVal'))
  }

  GetDiapason ({idDiapason = 1, pFields = [
    'KLDPNS_ID',
    'KLDPNS_DN',
    'KLDPNS_LF',
    'KLDPNS_ScanEnabled',
    'KLDPNS_ILS'
  ]} = {}, connection) {
    return this.baseRequest({
      command: `${className}.GetDiapason`,
      data: { idDiapason, pFields },
      connection
    })
      .then(body => this.deserialize(body, 'PxgRetVal'))
  }

  UpdateDiapason ({
    idDiapason,
    pInfo
  } = {}, connection) {
    return this.baseRequest({
      command: `${className}.UpdateDiapason`,
      data: { idDiapason, pInfo },
      connection
    })
      .then(body => this.deserialize(body, 'pInvalidIntervals'))
  }
  
  RemoveDiapason ({
    idDiapason
                    }, connection ) {
    return this.baseRequest({
      command: `${className}.RemoveDiapason`,
      data: {idDiapason},
      connection
                            })
      .then(this.getBody)
  }
  
  AddDiapason ({
    pInfo
               }, connection ) {
    return this.baseRequest({
      command: `${className}.AddDiapason`,
      data: pInfo,
      connection
                            })
      .then(this.getBody)
  }
}
