"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.function.name");

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

/**
 * Adapter for connecting router library with "services.router"
 */
module.exports =
/*#__PURE__*/
function () {
  function UIRouterAdapter(logger) {
    (0, _classCallCheck2.default)(this, UIRouterAdapter);
    this.logger = logger;
  }
  /**
   * Router start
   */


  (0, _createClass2.default)(UIRouterAdapter, [{
    key: "start",
    value: function start() {
      Router.start.bind(Router);
    }
    /**
     * New state registration
     * Adding new navigation states for app
     * @param {string} path - state`s url. Inherited url parts from parent state
     * @param {Object} params - state params
     * @param {Function} before - action before state activation
     * @param {Function} activate - action on state activation
     * @param {Function} deactivate - action on state deactivation
     */

  }, {
    key: "registerPath",
    value: function registerPath(path, params, activate, before, deactivate) {
      params.name = params.stateName;
      params.updateOutletAccurate = true;
      params.url = path;
      params.doNotUnloadOnBefore = true;

      params.onEnter = function (transition, state) {
        before(function () {
          console.log("activate state ".concat(params.name));
          activate(transition.params());
        }, transition.params());
      };

      params.onExit = function (transition, state) {
        console.log("deactivate state ".concat(params.name));
        deactivate();
      };

      Router.stateRegistry.register(params);
    }
  }, {
    key: "deregisterPath",
    value: function deregisterPath(stateName) {
      Router.stateRegistry.states[stateName] ? Router.stateRegistry.deregister(stateName) : this.logger.warn("Cannot deregister unregistered router state ".concat(stateName));
    }
  }]);
  return UIRouterAdapter;
}();